Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class GeolocationHintImpl

    java.lang.Object
      org.opensaml.xml.AbstractXMLObject
          org.opensaml.xml.validation.AbstractValidatingXMLObject
              org.opensaml.common.impl.AbstractSAMLObject
                  edu.internet2.middleware.shibboleth.wayf.idpdisco.GeolocationHintImpl

All Implemented Interfaces:
  GeolocationHint, org.opensaml.common.SAMLObject, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

    public class GeolocationHintImpl

extends org.opensaml.common.impl.AbstractSAMLObject
implements GeolocationHint

Concrete implementation of `GeolocationHint`.

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.GeolocationHint
`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME`

Constructor Summary
`protected` | `GeolocationHintImpl(String namespaceURI, String elementLocalName, String namespacePrefix)` Constructor.

Method Summary
`String` | `getHint()` Gets the Hint.
`List<org.opensaml.xml.XMLObject>` | `getOrderedChildren()`
`void` | `setHint(String newHint)` Sets the hint.

Methods inherited from class org.opensaml.common.impl.AbstractSAMLObject
`equals, prepareForAssignment`

Methods inherited from class org.opensaml.xml.validation.AbstractValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate, validateChildren`

Methods inherited from class org.opensaml.xml.AbstractXMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Constructor Detail

### GeolocationHintImpl

    protected GeolocationHintImpl(String namespaceURI,
                                  String elementLocalName,
                                  String namespacePrefix)

  Constructor.

  Parameters:
    `namespaceURI` - the namespaceURI
    `elementLocalName` - the elementLocalName
    `namespacePrefix` - the namespacePrefix

Method Detail

### getHint

    public String getHint()

  Gets the Hint.

  Specified by:
    `getHint` in interface `GeolocationHint`
  Returns:
    the Hint

### setHint

    public void setHint(String newHint)

  Sets the hint.

  Specified by:
    `setHint` in interface `GeolocationHint`
  Parameters:
    `newHint` - hint

### getOrderedChildren

    public List<org.opensaml.xml.XMLObject> getOrderedChildren()

  Specified by:
    `getOrderedChildren` in interface `org.opensaml.xml.XMLObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.